#include <iostream>

#include "pugixml.hpp"

void GetCuts( Float_t effS )
{
    //provide path to xml-file
    const Char_t* path_to_xml =  "EtotPtotClf_Cuts.weights.xml";
    pugi::xml_document doc;
    if ( !doc.load_file( path_to_xml ) )
    {
        std::cout << "There is no such file " << path_to_xml << "\n";
    }
    //get number of variables
    Int_t nVar = doc.child("MethodSetup").child("Variables").attribute("NVar").as_int();

    pugi::xml_node Weights = doc.child("MethodSetup").child("Weights");

    for ( pugi::xml_node Bin = Weights.first_child(); Bin; )
    {
        if ( effS > Bin.attribute("effS").as_float() ) 
        {
            Bin = Bin.next_sibling();
        }
        else
        {
            std::cout << "Nearest available efficiency is: " << Bin.attribute("effS").value() << "\n";
            pugi::xml_node Cuts = Bin.child("Cuts");
            for ( pugi::xml_attribute cut = Cuts.first_attribute(); cut; )
            {
                for ( Int_t var = 0; var < nVar; var++ )
                {
                    std::cout << cut.as_float() << " "; 
                    cut = cut.next_attribute();
                }
                std::cout << "\n";
            }
            break;
        } 
    }
}
